<template>
  <div class="stat-cards-container">
    <div class="stat-card" v-for="(item, idx) in props.numberList" :key="idx">
      <div class="stat-card__title">{{ item.title }}</div>
      <div class="stat-card__value">{{ item.value }}</div>
      <div class="amount">
        <div>
          <p class="amount-title">实际完成金额</p>
          <p class="amount-value">2.87亿元</p>
        </div>
        <div>
          <p class="amount-title">计划完成金额</p>
          <p class="amount-value">4.21亿元</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
const props = defineProps({
  numberList: {
    type: Array,
    default: () => [],
  },
});
</script>

<style scoped lang="less">
.stat-cards-container {
  display: flex;
  .stat-card {
    .vw(width, 170);
    .vw(border-radius, 5);
    .vw(padding, 10);
    .vw(margin,10);
    background-image: url("../assets/images/total2.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: center;
    .stat-card__title {
      .font(12);
      font-weight: 700;
    }
    .stat-card__value {
      .font(16);
    }
    .amount {
      display: flex;
      justify-content: space-between;
      .amount-title {
        .font(10);
        .vh(height, 5);
      }
      .amount-value {
        .font(20);
        color: @Color;
      }
    }
  }
}
</style>
